Bug 56973 - wvlan_cs: "This is a PrismII card, not a Wavelan IEEE card :-("
wvlan_cs: "This is a PrismII card, not a Wavelan IEEE card :-("
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-01 14:39 EST by Aleksey Nogin
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 19:05:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksey Nogin 2001-12-01 14:39:30 EST
I am getting the following from the  wvlan_cs driver:

Dec  1 13:41:31 Clementine kernel: wvlan_cs: WaveLAN/IEEE PCMCIA driver v1.0.6
Dec  1 13:41:31 Clementine kernel: wvlan_cs: (c) Andreas Neuhaus
<andy@fasta.fh-dortmund.de>
Dec  1 13:41:31 Clementine kernel: wvlan_cs: index 0x01: Vcc 3.3, irq 3, io
0x0100-0x013f
Dec  1 13:41:31 Clementine kernel: wvlan_cs: Registered netdevice eth1
Dec  1 13:41:31 Clementine kernel: wvlan_cs: MAC address on eth1 is 00 05
5d f1 c3 b0
Dec  1 13:41:32 Clementine kernel: wvlan_cs: This is a PrismII card, not a
Wavelan IEEE card :-(
Dec  1 13:41:32 Clementine kernel: wvlan_cs: Found firmware 0x8 (vendor 2)
- Firmware capabilities : 1-0-0-0-1
Dec  1 13:41:33 Clementine kernel: wvlan_cs: MAC address on eth1 is 00 05
5d f1 c3 b0
Dec  1 13:41:33 Clementine kernel: wvlan_cs: This is a PrismII card, not a
Wavelan IEEE card :-(
Dec  1 13:41:33 Clementine kernel: wvlan_cs: Found firmware 0x8 (vendor 2)
- Firmware capabilities : 1-0-0-0-1
Dec  1 13:41:33 Clementine kernel: wvlan_cs: Valid channels: 1 2 3 4 5 6 7
8 9 10 11

Despite this warning making it sound like the driver is not expected to
work, the card works just fine with this driver. Should the warning still
be there?

The card is "D-Link Air DWL-650".

I saw this on RH 7.2 both with 2.4.7-10 and 2.4.9-13
Comment 1 Aleksey Nogin 2002-04-13 15:26:45 EDT
See also bug 63432 on more problems with wvlan_cs and this card (after it was
used under WinXP).
Comment 2 Alan Cox 2003-06-07 19:05:47 EDT
Prism cards are now handled much better by the orinoco driver

Note You need to log in before you can comment on or make changes to this bug.